{
  lib,
  config,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;
  inherit (lib.marleyos) enabled;

  cfg = config.marleyos.programs.zathura;
  inherit (config.marleyos.theme) colors;
in
{
  options.marleyos.programs.zathura.enable = mkEnableOption "zathura";

  config = mkIf cfg.enable {
    programs.zathura = {
      enable = true;

      rose-pine = mkIf colors.isRosePine enabled;
    };
  };
}
